 <?php 
 require_once("../header.php");
 ?>
 <div class="container-fluid">
 
 <div class="row">
      <div class="col-md-12">
    
        <a class="btn btn-md btn-warning mb-2 mt-2" href="javascript:void(0)" onClick="modalCheque()"><i class="fa fa-plus"></i> Registrar un nuevo cheque</a>
        <a class="btn btn-md btn-default mb-2 mt-2" href="Reporte.php"><i class="fa fa-file-medical-alt"></i> Reporte</a>
		
		<a class="btn btn-md btn-default mb-2 mt-2" href="cuentas.php"><i class="fa fa-arrow-circle-left"></i> Ir atras</a>
<hr>
		<script type="text/javascript">
          function modalCheque(){
            $("#modalCheque").modal('show');
             $("#estado").prop("disabled", true);
             $("#cuenta").val("<?php echo $_GET['cuenta']?>");
              $("#frm").trigger('reset'); 
                setTimeout(function(){
                $("#cuenta").focus();
                $("#cuenta").select();
                $("#fondo").prop("disabled",false);


            },500)
            
        }
        </script>
        <?php

      include_once("../php/config.php");
      $sql = mysql_query("select * from cheques") or die(mysql_error());
?>
 <div class="table-responsive border p-3">
      <table class="table table-hover table-striped table-sm table-bordered" data-page-length='8' style="width: 100%">

          <thead>
            <th>Id</th>
            <th>Numero cheque</th>
            <th>Pagado a</th>
           
            <th>Fecha emision</th>
            <th>Fecha limite</th>
            <th>Referencia</th>
			<th>Monto</th>
			<th>Cuenta</th>
			<th>Estado</th>
			<th>Creado por</th>
			<th>Editar</th>
          </thead>
          <tbody>
          <?php while($r=mysql_fetch_array($sql)){
            $id = $r["id_cheque"];
            $c++;
            
            ?>
            <tr>
              <td>
			  <input type="checkbox" name="ch" id="ch">
			   <?php echo $r["id_cheque"]?></td>
              <td><span class="text-primary"><?php echo ($r["numero_cheque"])?></span></td>
              <td><?php echo $r["pagado_a"]?></td>
               <td><?php echo fecha($r["fecha_emision"])?></td>
              <td><?php echo fecha($r["fecha_limite"])?></td>
			  <td><?php echo $r["referencia"]?></td>
			  <td><?php echo decimal($r["monto"])?></td>
			  <td><?php echo $r["cuenta"]?></td>
			  <td><?php echo $r["estado"]?></td>
			  <td><?php echo $r["usuario"]?></td>
			  <td><a href='javascript:void(0)' onClick="ver(<?php echo $r["id_cheque"]?>)"><i class="fa fa-edit"></i></a></td>
              
            </tr>
                                                      <?php }?>
          </tbody>
          <tfoot>
            <br>

            <th>
              Cant. registros: <?php echo $c?>
            </th>
           
          </tfoot>
        </table>
      </div>
      </div>
    </div>
    
        </div>
      </div>
      


          
</div>
        


     </div>
   </div>
   
		
    </div>

	<!---Modal Cliente-->
	<div class="modal fade" id="modalCheque" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
             
            <h5 class="modal-title text-success" id="exampleModalLabel"><i class="fa fa-w fa-usd"></i> Registro de cheques</h5>
           
            
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
             
                    
		  <form name="frm" action="" method="POST" id="frm">
			 
     

        <div class="row">
  				<label for="id" class="col-sm-3 col-form-label mt-2" >Fecha </label>
  				<div class="col-sm-9">
  				  <input autocomplete="off" type="date"  class="form-control  mb-2" id="fecha" name="fecha" value="">
  				</div>
			  </div>
        <div class="row">
  				<label for="id" class="col-sm-3 col-form-label mt-2" >Num. cheque</label>
  				<div class="col-sm-3">
  				  <input autocomplete="off" type="text"  class="form-control  " id="numero_cheque" name="numero_cheque" value="">

  				</div>
          <label for="id" class="col-sm-2 col-form-label  mt-2" >Cuenta</label>
          <div class="col-sm-4 mb-2">
 <select class="form-control  mb-2" id="cuenta" name="cuenta">

                                <option value="" selected disabled>Sel. cuenta</option>
                                <?php $sql3 = mysql_query("select * from cuentas")?>

                                <?php while ($r3 = mysql_fetch_array($sql3)) { ?>
                                    <option value="<?php echo $r3['numero_cuenta'] ?>">(<?php echo $r3['numero_cuenta'] ?>)<?php echo $r3['descripcion'] ?></option>
                                <?php } ?>
                            </select>          </div>


			  </div>
			  
			  
       
        
         <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Paguese a:</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"   class="form-control mb-2" id="paguese_a" name="paguese_a" value="">
          </div>
        </div>   
       <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Monto:</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="number"   class="form-control mb-2" id="monto" name="monto" value="">
          </div>
        </div> 
                      
                      
     <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Concepto</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="concepto" name="concepto" value="">
          </div>
        </div>

         <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Estado cheque</label>
          <div class="col-sm-9">

           <select id="estado" name="estado" class="form-control">
             <option value="Transito">No cobrado</option>
             <option value="Cobrado">Cobrado</option>
           </select>

          </div>
        </div>

         <br>
      


			  
			  
		  </form>
		  
		  </div>
          <div class="modal-footer">
            <button class="btn btn-success grabar" type="button" onclick="grabar()"><i class="fa fa-w fa-save"></i> Grabar</button>
			<a class="btn btn-md btn-default mb-2 st-cheque" href="javascript:void(0)" onclick="estado_cheque()"><i class="fa fa-file-invoice"></i> Cambiar estado a cobrado</a>

                  <button class="btn btn-warning" type="button" onclick="borrar()" id="delete"><i class="fa fa-w fa-trash"></i> Borrar</button>

            <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>

        ﻿
    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
      <i class="fa fa-angle-up"></i>
    </a>
    <!-- Logout Modal-->
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
          <div class="modal-footer">
            <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
            <a class="btn btn-primary" href="login.html">Logout</a>
          </div>
        </div>
      </div>
    </div>
 <?php 
 require_once("../footer.php");
 ?>	
	            
<script>

$("#delete").hide();
id_cheque="";


function ver(id){
	  $("#modalCheque").modal("show");
      $("#frm").trigger('reset');
       $("#estado").prop("disabled", false);

      setTimeout(function(){
        $("#descripcion").focus();
        $("#descripcion").select();
	     	$("#delete").show();
       
    },1000);

            var sql="select * from cheques where id_cheque='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_cheque= rs.data[i].id_cheque; 
                    //$("#id_cheque").val(rs.data[i].id_cheque);
                    $("#numero_cheque").val(rs.data[i].numero_cheque);
                    $("#fecha").val(rs.data[i].fecha_emision);
                    $("#monto").val(rs.data[i].monto);
                    $("#paguese_a").val(rs.data[i].pagado_a);
                    $("#concepto").val(rs.data[i].referencia);
                    $("#cuenta").val(rs.data[i].cuenta);
					if(rs.data[i].estado=="Cobrado"){
						 $("#estado").prop("disabled", true);
						 $(".st-cheque").hide();
					}

                    
                    $("#estado option[value='"+rs.data[i].estado+"']").prop('selected', true);

                   
                    

                  
                }
                $("#loading").modal('hide');
            })
        }
  
  function grabar(){
     if(!confirm("Seguro(a) que desea registrar este chque?")){return;}                   
     var paguese_a = $("#paguese_a").val()
     var monto = $("#monto").val()
     var fecha = $("#fecha").val()
     var datos = $("#frm").serialize()+"&id_cheque="+id_cheque+"&usuario="+myUser;
     if(paguese_a=="" || monto=="" || fecha==""){alert("Informacion incompleta"); return;}
     $(".grabar").hide();

     $.get("grabar_cheque.php?"+datos,function(data,st){
      if(st=="success"){if(data=="1"){window.location.reload();}else{alert(data)}}
       $(".grabar").show();
     })

}
  function estado_cheque(){
	 var cuenta = $("#cuenta").val()
	 if(cuenta==""){alert("Especifique la cuenta"); return;}
     if(!confirm("Seguro(a) que desea cambiar el estado del cheque?")){return;}                   
     
     var datos = $("#frm").serialize()+"&id_cheque="+id_cheque+"&usuario="+myUser;
     
     $(".st-cheque").hide();

     $.get("estado_cheque.php?"+datos,function(data,st){
      if(st=="success"){
		  if(data=="1"){
			movimiento()
		  }else{alert(data)
		  }
		  }
       $(".st-cheque").hide();
     })

}


 function borrar(){
  if(!confirm("Seguro(a) que desea borrar este registro?")){return;}                   
     var datos = $("#frm").serialize()+"&id_cheque="+id_cheque+"&usuario="+myUser;
     if(id_cheque==""){alert("Seleccione el cheque"); return;}
     $(".delete").hide();
     $.get("borrar_cheque.php?"+datos,function(data,st){
      if(st=="success"){if(data=="1"){window.location.reload();}else{alert(data)}}
       $(".delete").show();
     })
}


 
 
 function get_cuenta(cuenta){
            var sql="select * from cuentas where numero_cuenta='"+cuenta+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    numero_cuenta= rs.data[i].numero_cuenta;
                   
                }
                $("#loading").modal('hide');
            })
        }

function movimiento(){

     //if(!confirm("Seguro(a) que desea registrar este movimiento?")){return;}                   
     //var nbalance = $("#nbalance").val();
     var cuenta = $("#cuenta").val();
     var tipo = "Cheque";
     var monto = $("#monto").val();
     var concepto = $("#concepto").val()+", No. cheque "+$("#numero_cheque").val();;
     if(cuenta=="" || tipo=="" || monto=="" || concepto==""){alert('Faltan datos'); return}
      
            var sql="";                            
            sql="INSERT INTO movimientos_cuenta set ";
            sql+=" cuenta='"+cuenta+"'";
            sql+=", monto='"+monto+"'";
            sql+=", tipo='"+tipo+"'";
            sql+=", concepto='"+concepto+"'";
			//sql+=", balance='"+nbalance+"'";
            sql+=", fecha=NOW()";
            sql+=", hora=NOW()";
            sql+=", usuario='"+myUser+"'";
            
         
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
	  if(data=="1"){
		  $(".modal").modal('hide');
        noti("success","Registro grabado con exito","Registro grabado");
        setTimeout(function(){
            window.location.reload();
        },2000)
		  
	  }
        
    })
}

 
 
 $(".table").DataTable();
         
        </script>